/*
 * Caveworld
 *
 * Copyright (c) 2014 kegare
 * https://github.com/kegare
 *
 * This mod is distributed under the terms of the Minecraft Mod Public License 1.0, or MMPL.
 * Please check the contents of the license located in http://www.mod-buildcraft.com/MMPL-1.0.txt
 */

package com.kegare.caveworld.plugin.thaumcraft;

import thaumcraft.api.ThaumcraftApi;
import thaumcraft.api.aspects.Aspect;
import thaumcraft.api.aspects.AspectList;

import com.kegare.caveworld.block.CaveBlock;
import com.kegare.caveworld.plugin.CaveModPlugin;

public class ThaumcraftPlugin extends CaveModPlugin
{
	public ThaumcraftPlugin()
	{
		super("Thaumcraft");
	}

	@Override
	protected void init()
	{
		ThaumcraftApi.registerObjectTag(CaveBlock.portalCaveworld.blockID, 0, new AspectList().add(Aspect.TRAVEL, 4).add(Aspect.MINE, 4));

		if (CaveBlock.rope != null)
		{
			ThaumcraftApi.registerObjectTag(CaveBlock.rope.blockID, -1, new AspectList().add(Aspect.MOTION, 1).add(Aspect.CLOTH, 1));
		}
	}
}